Package org.apache.synapse.transport.util

# Class ConfigurationBuilderUtil

java.lang.Object
org.apache.synapse.transport.util.ConfigurationBuilderUtil

public class ConfigurationBuilderUtil extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationBuilderUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Boolean`
  `getBooleanProperty(String name, Boolean def, Properties props)`
  Get a boolean property that tunes pass-through http transport.
  `static Boolean`
  `getBooleanProperty(String name, Properties props)`
  Get a Boolean property that tunes pass-through http transport.
  `static Integer`
  `getIntProperty(String name, Integer def, Properties props)`
  Get an int property that tunes pass-through http transport.
  `static Integer`
  `getIntProperty(String name, Properties props)`
  Get an int property that tunes pass-through http transport.
  `static Long`
  `getLongProperty(String name, Long def, Properties props)`
  `static String`
  `getStringProperty(String name, String def, Properties props)`
  Get a String property that tunes pass-through http transport.
  `static boolean`
  `isIntPropertyConfigured(String name, Properties props)`
  Return true if user has configured an int property that tunes pass-through http transport.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConfigurationBuilderUtil

    public ConfigurationBuilderUtil()

- ## Method Details

  - ### getIntProperty

    public static Integer getIntProperty(String name, Integer def, Properties props)
    Get an int property that tunes pass-through http transport. Prefer system properties
    Parameters:
      `name` - name of the system/config property
      `def` - default value to return if the property is not set
    Returns:
      the value of the property to be used

  - ### isIntPropertyConfigured

    public static boolean isIntPropertyConfigured(String name, Properties props)
    Return true if user has configured an int property that tunes pass-through http transport.
    Parameters:
      `name` - name of the system/config property
    Returns:
      true if property is configured

  - ### getIntProperty

    public static Integer getIntProperty(String name, Properties props)
    Get an int property that tunes pass-through http transport. Prefer system properties
    Parameters:
      `name` - name of the system/config property
    Returns:
      the value of the property, null if the property is not found

  - ### getLongProperty

    public static Long getLongProperty(String name, Long def, Properties props)

  - ### getBooleanProperty

    public static Boolean getBooleanProperty(String name, Boolean def, Properties props)
    Get a boolean property that tunes pass-through http transport. Prefer system properties
    Parameters:
      `name` - name of the system/config property
      `def` - default value to return if the property is not set
    Returns:
      the value of the property to be used

  - ### getBooleanProperty

    public static Boolean getBooleanProperty(String name, Properties props)
    Get a Boolean property that tunes pass-through http transport. Prefer system properties
    Parameters:
      `name` - name of the system/config property
    Returns:
      the value of the property, null if the property is not found

  - ### getStringProperty

    public static String getStringProperty(String name, String def, Properties props)
    Get a String property that tunes pass-through http transport. Prefer system properties
    Parameters:
      `name` - name of the system/config property
      `def` - default value to return if the property is not set
    Returns:
      the value of the property to be used